Check Motion Status
curl --request GET \
--url https://api.jogg.ai/v2/photo_avatar \
--header 'x-api-key: <api-key>'import requests
url = "https://api.jogg.ai/v2/photo_avatar"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.jogg.ai/v2/photo_avatar', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 0,
"msg": "Success",
"data": {
"motion_id": "motion_123",
"avatar_id": 123,
"image_url": "https://example.com/image.jpg",
"name": "My Photo Avatar",
"status": "completed",
"motion_preview_url": "https://example.com/preview.mp4",
"voice_id": "en-US-ChristopherNeural",
"error_msg": null
}
}Avatar
Check Motion Status
Check the status of motion generation task by motion ID
GET
/
v2
/
photo_avatar
Check Motion Status
Check the status of motion generation task by motion ID.
Example Usage
curl --request GET \
--url 'https://api.jogg.ai/v2/photo_avatar?motion_id=motion_123' \
--header 'x-api-key: YOUR_API_KEY'
Related Guides
Add Motion to Photo Avatar
Add motion to photo avatar
Generate Photo Avatar
Generate photo avatar first
Authorizations
API key for authentication. Obtain your key from the JoggAI dashboard.
Query Parameters
Motion ID from the motion generation task
Example:
"motion_123"
Response
200 - application/json
Success
Business status code:
- 0 - Success
- 10104 - Record not found
- 10105 - Invalid API key
- 18020 - Insufficient credit
- 18025 - No permission to call APIs
- 40000 - Parameter error
- 50000 - System error
Example:
0
Response message
Example:
"Success"
Show child attributes
Show child attributes

